Subject: Re: bug#42486: 28.0.50; Bug of feature/native-comp branch. Error message native-compile-async: Symbol’s value as variable is void: comp-native-path-postfix

From: Dang Allen <[email-masked]>
Date: Thu, 23 Jul 2020 15:35:57 +0800

Sure, here it is.

# native-comp optimization
export PATH="/usr/local/opt/gnu-sed/libexec/gnubin:${PATH}"
export LDFLAGS="-L/usr/local/lib/gcc/10"
export LIBRARY_PATH="/usr/local/opt/gcc/lib/gcc/10:${LIBRARY_PATH:-}"

cd emacs || exit

git clean -xfd

./autogen.sh

CC='clang' \
     ./configure \
     --disable-silent-rules \
     --with-ns \
     --disable-ns-self-contained \
     --with-cairo \
     --with-modules \
     --with-nativecomp \
     --with-xml2 \
     --with-gnutls \
     --with-json \
     --with-rsvg

# Ensure the directory to which we will dump Emacs exists and has the
correct
# permissions set.
libexec=/usr/local/libexec/emacs
if [ ! -d $libexec ]; then
  sudo mkdir -p $libexec
  chown $USER $libexec
fi

make distclean
make -j 4
make install
rm -rf "/Applications/Emacs.app"
mv nextstep/Emacs.app "/Applications/"
cp -R lisp "/Applications/Emacs.app/Contents/"

Andrea Corallo <[email-masked]> 于2020年7月23日周四 下午3:30写道：

> I think the interesting line is:
>
> "  Does Emacs have native lisp compiler?                   no"
>
> The output does not include the command issued.  I you are running a
> script could you please run it with -x and report it again?
>
> Alternatively you can also attach the script you are using to compile if
> you wish.
>
> I'm interested in having a look at the configure invocation.
>
> Thanks
>   Andrea
>